## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathCAPI.h File Reference

## Defines

- #define XALAN_XPATHCAPI_HEADER_GUARD_1357924680
- #define XALAN_XPATHCAPI_EXPORT
- #define XALAN_XPATHCAPI_EXPORT_FUNCTION(T) T
- #define XALAN_XPATH_API_SUCCESS 0
    This is a simple C interface for the class XPathEvaluator. More...
- #define XALAN_XPATH_API_ERROR_ALREADY_INITIALIZED 1
- #define XALAN_XPATH_API_ERROR_ALREADY_TERMINATED 2
- #define XALAN_XPATH_API_ERROR_INITIALIZATION_FAILED 3
- #define XALAN_XPATH_API_ERROR_TERMINATION_FAILED 4
- #define XALAN_XPATH_API_ERROR_NOT_INITIALIZED 5
- #define XALAN_XPATH_API_ERROR_CANNOT_REINITIALIZE 6
- #define XALAN_XPATH_API_ERROR_INVALID_PARAMETER 7
- #define XALAN_XPATH_API_ERROR_INVALID_EXPRESSION 8
- #define XALAN_XPATH_API_ERROR_BAD_XML 9
- #define XALAN_XPATH_API_ERROR_UNSUPPORTED_ENCODING 10
- #define XALAN_XPATH_API_ERROR_TRANSCODING 11
- #define XALAN_XPATH_API_ERROR_INVALID_XPATH 12
- #define XALAN_XPATH_API_ERROR_UNKNOWN 13

## Typedefs

- typedef void* XalanXPathEvaluatorHandle
    Handle used to store the address of XalanTransformer instance.
- typedef void* XalanXPathHandle
    Handle used to store the address of compiled XPath instance.

## Functions

- int XalanXPathAPIInitialize ()
    Initialize Xerces and the XPath API. More...
- int XalanXPathAPITerminate ()
    Terminate Xerces and the XPath API. More...
- int XalanCreateXPathEvaluator (XalanXPathEvaluatorHandle* theHandle)
    Create a XalanXPathEvaluator instance. More...
- int XalanDestroyXPathEvaluator (XalanXPathEvaluatorHandle theXalanHandle)
    Destroy a XalanXPathEvaluator instance. More...
- int XalanCreateXPath ( XalanXPathEvaluatorHandle theXalanHandle, const char* theXPathExpression, const char* theXPathExpressionEncoding, XalanXPathHandle* theXPathHandle)
    Creates a compiled XPath instance. More...
- int XalanDestroyXPath ( XalanXPathEvaluatorHandle theXalanHandle, XalanXPathHandle theXPathHandle)
    Destroys a compiled XPath instance. More...
- int XalanEvaluateXPathAsBoolean ( XalanXPathEvaluatorHandle theXalanHandle, XalanXPathHandle theXPathHandle, const char* theXML, int* theResult)
    Evaluates a compiled XPath instance. More...
- int XalanEvaluateXPathExpressionAsBoolean ( XalanXPathEvaluatorHandle theXalanHandle, const char* theXPathExpression, const char* theXPathExpressionEncoding, const char* theXML, int* theResult)
    Evaluates an XPath expression. More...

## Define Documentation

#define XALAN_XPATHCAPI_EXPORT

#define XALAN_XPATHCAPI_EXPORT_FUNCTION( | T ) T

#define XALAN_XPATHCAPI_HEADER_GUARD_1357924680

#define XALAN_XPATH_API_ERROR_ALREADY_INITIALIZED 1

#define XALAN_XPATH_API_ERROR_ALREADY_TERMINATED 2

#define XALAN_XPATH_API_ERROR_BAD_XML 9

#define XALAN_XPATH_API_ERROR_CANNOT_REINITIALIZE 6

#define XALAN_XPATH_API_ERROR_INITIALIZATION_FAILED 3

#define XALAN_XPATH_API_ERROR_INVALID_EXPRESSION 8

#define XALAN_XPATH_API_ERROR_INVALID_PARAMETER 7

#define XALAN_XPATH_API_ERROR_INVALID_XPATH 12

#define XALAN_XPATH_API_ERROR_NOT_INITIALIZED 5

#define XALAN_XPATH_API_ERROR_TERMINATION_FAILED 4

#define XALAN_XPATH_API_ERROR_TRANSCODING 11

#define XALAN_XPATH_API_ERROR_UNKNOWN 13

#define XALAN_XPATH_API_ERROR_UNSUPPORTED_ENCODING 10

#define XALAN_XPATH_API_SUCCESS 0

This is a simple C interface for the class XPathEvaluator.

It's the user's responsibility to call XalanXPathAPIInitialize() before making any other API calls, and to call XalanXPathAPITerminate() when finished with the API.

## Typedef Documentation

typedef void* XalanXPathEvaluatorHandle

Handle used to store the address of XalanTransformer instance.

typedef void* XalanXPathHandle

Handle used to store the address of compiled XPath instance.

## Function Documentation

int XalanCreateXPath ( | XalanXPathEvaluatorHandle theXalanHandle,
| const char * theXPathExpression,
| const char * theXPathExpressionEncoding,
| XalanXPathHandle * theXPathHandle )

Creates a compiled XPath instance.

Parameters:

  theXalanHandle | The handle of XalanXPathEvaluatorHandle instance.
  theXPathExpression | The expression to compile
  theXPathExpressionEncoding | The encoding of the expression. If NULL or an empty string, the local code page is assumed.
  theXPathHandle | A pointer to the handle for the new instance

Returns:
  0 for success, or a non-zero error code upon failure

int XalanCreateXPathEvaluator ( | XalanXPathEvaluatorHandle * theHandle )

Create a XalanXPathEvaluator instance.

Parameters:

  theXalanHandle | A pointer to the handle for the new instance.

Returns:
  0 for success, or a non-zero error code upon failure

int XalanDestroyXPath ( | XalanXPathEvaluatorHandle theXalanHandle,
| XalanXPathHandle theXPathHandle )

Destroys a compiled XPath instance.

Parameters:

  theXalanHandle | The handle of XalanXPathEvaluatorHandle instance.
  theXPathHandle | The handle of XPath instance

Returns:
  0 for success, or a non-zero error code upon failure

int XalanDestroyXPathEvaluator ( | XalanXPathEvaluatorHandle theXalanHandle )

Destroy a XalanXPathEvaluator instance.

Parameters:

  theXalanHandle | The handle of the instance to destroy.

Returns:
  0 for success, or a non-zero error code upon failure

int XalanEvaluateXPathAsBoolean ( | XalanXPathEvaluatorHandle theXalanHandle,
| XalanXPathHandle theXPathHandle,
| const char * theXML,
| int * theResult )

Evaluates a compiled XPath instance.

Parameters:

  theXalanHandle | The handle of XalanXPathEvaluatorHandle instance.
  theXPathHandle | The pointer to handle for instance
  theXML | The XML document to use for evaluating the XPath expression
  theResult | A pointer to an int to receive the result.

Returns:
  0 for success, or a non-zero error code upon failure

int XalanEvaluateXPathExpressionAsBoolean ( | XalanXPathEvaluatorHandle theXalanHandle,
| const char * theXPathExpression,
| const char * theXPathExpressionEncoding,
| const char * theXML,
| int * theResult )

Evaluates an XPath expression.

Parameters:

  theXalanHandle | The handle of XalanXPathEvaluatorHandle instance.
  theXPathExpression | The expression to evaluate
  theXPathExpressionEncoding | The encoding of the expression. If NULL or an empty string, the local code page is assumed.
  theXML | The XML document to use for evaluating the XPath expression
  theResult | A pointer to an int to receive the result.

Returns:
  0 for success, or a non-zero error code upon failure

int XalanXPathAPIInitialize ( | )

Initialize Xerces and the XPath API.

Should be called only once per process before making any other API calls.

Returns:
  0 for success, or a non-zero error code upon failure

int XalanXPathAPITerminate ( | )

Terminate Xerces and the XPath API.

Should be called only once per process after deleting all instances of XalanXPathEvaluator. Once a process has called this function, it cannot use the API for the remaining lifetime of the process.

Returns:
  0 for success, or a non-zero error code upon failure

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.